<%@ page session="false" contentType="text/vnd.oracle.mobilexml" %>
<%@ page import="oracle.portal.provider.v2.http.HttpCommonConstants" %>
<%@ page import="oracle.portal.provider.v2.render.*" %>
<%@ page import="oracle.portal.provider.v2.personalize.NameValuePersonalizationObject" %>
<%@ page import="oracle.portal.utils.xml.v2.XMLUtil" %>

<%
    PortletRenderRequest portletRequest = (PortletRenderRequest)
        request.getAttribute(HttpCommonConstants.PORTLET_RENDER_REQUEST);

    NameValuePersonalizationObject data = (NameValuePersonalizationObject)
        PortletRendererUtil.getEditData(portletRequest);

    String title = data.getPortletShortTitle();

    // if short title is empty then use the title
    if (title == null || title.length() == 0)
        title = data.getPortletTitle();
%>

<SimpleHref target="<%=
    XMLUtil.escapeXMLAttribute(portletRequest.getRenderContext().getPageURL())
    %>">
<%= XMLUtil.escapeXMLText(title) %>
</SimpleHref>


